Page MenuHomePhabricator

Request: add awight to contint-docker
Closed, DeclinedPublic

Description

AWight occasionally helps out with CI issues, and would be happy to take on some responsibility for building images, if that makes sense.

Event Timeline

awight created this task.May 14 2019, 11:54 AM
Restricted Application added a project: Operations. · View Herald TranscriptMay 14 2019, 11:54 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
ArielGlenn triaged this task as Normal priority.May 15 2019, 8:14 AM
ArielGlenn added subscribers: hashar, greg, ArielGlenn.

Let's get sign-off from your WMDE manager (who is that?) and from @hashar or @greg in releng. There is also an outstanding ssh key issue, see me or anyone on the SRE team for details.

My manager is @Tobi_WMDE_SW, and the CI work would usually full under the maintenance / 20% category for that job. For example, right now I'm trying to help correct some flapping tests that are annoying for us, T219114: phan 1.2.6 is OOMing on MediaWiki core

The ssh key issue has been cleared up.

greg added a comment.Jun 10 2019, 6:10 PM

If you really want :) Approved.

If you really want :) Approved.

#masochism not found

awight closed this task as Declined.Jun 13 2019, 7:45 AM

I'm having second thoughts about this request, because I'm no longer see that I'll be useful in this role. Building and publishing images is a straightforward process, and the burdensome work is to write and test patches in integration-config/dockerfiles (something I can do without privileges), and bumping image versions which is just part of deployment.

I'll decline this task and only reopen if I run into it as an obstacle.